<h2 mat-dialog-title>Add Nurse</h2>
<form [formGroup]="addNurseForm" class="dialog-container" (ngSubmit)="onDialogSubmit(addNurseForm)">
    <mat-form-field appearance="fill">
        <input matInput formControlName="name" placeholder="Enter name">
    </mat-form-field>

    <mat-form-field appearance="fill">
        <input matInput formControlName="email" placeholder="Enter email">
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-select formControlName="assignedDoctor" placeholder="assign to doctor" >
            <mat-option *ngFor="let doctor of doctorsArray" [value]="doctor._id">{{doctor.name}}</mat-option>
        </mat-select>
    </mat-form-field>

    <mat-dialog-actions>
        <button mat-stroked-button mat-dialog-close type="submit">Add</button>
    </mat-dialog-actions>
</form>







